ViennaCL - The Vienna Computing Library: viennacl::linalg::detail::amg::amg_point Class Reference

ViennaCL - The Vienna Computing Library 1.6.2 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
viennacl::linalg::detail::amg::amg_point Class Reference

A class for the AMG points. Saves point index and influence measure Holds information whether point is undecided, C or F point. Holds lists of points that are influenced by or influencing this point. More...

`#include <amg_base.hpp>`

## Public Types
typedef ListType::iterator | iterator
typedef ListType::const_iterator | const_iterator

## Public Member Functions
| amg_point (unsigned int index, unsigned int size)
| The constructor. More...
void | set_offset (unsigned int offset)
unsigned int | get_offset ()
void | set_index (unsigned int index)
unsigned int | get_index () const
unsigned int | get_influence () const
void | set_aggregate (unsigned int aggregate)
unsigned int | get_aggregate ()
bool | is_cpoint () const
bool | is_fpoint () const
bool | is_undecided () const
unsigned int | number_influencing () const
bool | is_influencing (amg_point *point) const
void | add_influencing_point (amg_point *point)
void | add_influenced_point (amg_point *point)
void | clear_influencing ()
void | clear_influenced ()
unsigned int | get_coarse_index () const
void | set_coarse_index (unsigned int index)
void | calc_influence ()
unsigned int | add_influence (unsigned int add)
void | make_cpoint ()
void | make_fpoint ()
void | switch_ftoc ()
iterator | begin_influencing ()
iterator | end_influencing ()
const_iterator | begin_influencing () const
const_iterator | end_influencing () const
iterator | begin_influenced ()
iterator | end_influenced ()
const_iterator | begin_influenced () const
const_iterator | end_influenced () const

## Detailed Description

A class for the AMG points. Saves point index and influence measure Holds information whether point is undecided, C or F point. Holds lists of points that are influenced by or influencing this point.

Definition at line 827 of file amg_base.hpp.

## Member Typedef Documentation

typedef ListType::const_iterator viennacl::linalg::detail::amg::amg_point::const_iterator

Definition at line 851 of file amg_base.hpp.

typedef ListType::iterator viennacl::linalg::detail::amg::amg_point::iterator

Definition at line 850 of file amg_base.hpp.

## Constructor & Destructor Documentation

viennacl::linalg::detail::amg::amg_point::amg_point | ( | unsigned int | index,
|  | unsigned int | size
| ) |  |
| inline

The constructor.

Definition at line 855 of file amg_base.hpp.

## Member Function Documentation

unsigned int viennacl::linalg::detail::amg::amg_point::add_influence | ( | unsigned int | add | ) |
| inline

Definition at line 895 of file amg_base.hpp.

void viennacl::linalg::detail::amg::amg_point::add_influenced_point | ( | amg_point * | point | ) |
| inline

Definition at line 880 of file amg_base.hpp.

void viennacl::linalg::detail::amg::amg_point::add_influencing_point | ( | amg_point * | point | ) |
| inline

Definition at line 878 of file amg_base.hpp.

iterator viennacl::linalg::detail::amg::amg_point::begin_influenced | ( |  | ) |
| inline

Definition at line 922 of file amg_base.hpp.

const_iterator viennacl::linalg::detail::amg::amg_point::begin_influenced | ( |  | ) | const
| inline

Definition at line 924 of file amg_base.hpp.

iterator viennacl::linalg::detail::amg::amg_point::begin_influencing | ( |  | ) |
| inline

Definition at line 918 of file amg_base.hpp.

const_iterator viennacl::linalg::detail::amg::amg_point::begin_influencing | ( |  | ) | const
| inline

Definition at line 920 of file amg_base.hpp.

void viennacl::linalg::detail::amg::amg_point::calc_influence | ( |  | ) |
| inline

Definition at line 892 of file amg_base.hpp.

void viennacl::linalg::detail::amg::amg_point::clear_influenced | ( |  | ) |
| inline

Definition at line 885 of file amg_base.hpp.

void viennacl::linalg::detail::amg::amg_point::clear_influencing | ( |  | ) |
| inline

Definition at line 883 of file amg_base.hpp.

iterator viennacl::linalg::detail::amg::amg_point::end_influenced | ( |  | ) |
| inline

Definition at line 923 of file amg_base.hpp.

const_iterator viennacl::linalg::detail::amg::amg_point::end_influenced | ( |  | ) | const
| inline

Definition at line 925 of file amg_base.hpp.

iterator viennacl::linalg::detail::amg::amg_point::end_influencing | ( |  | ) |
| inline

Definition at line 919 of file amg_base.hpp.

const_iterator viennacl::linalg::detail::amg::amg_point::end_influencing | ( |  | ) | const
| inline

Definition at line 921 of file amg_base.hpp.

unsigned int viennacl::linalg::detail::amg::amg_point::get_aggregate | ( |  | ) |
| inline

Definition at line 867 of file amg_base.hpp.

unsigned int viennacl::linalg::detail::amg::amg_point::get_coarse_index | ( |  | ) | const
| inline

Definition at line 888 of file amg_base.hpp.

unsigned int viennacl::linalg::detail::amg::amg_point::get_index | ( |  | ) | const
| inline

Definition at line 864 of file amg_base.hpp.

unsigned int viennacl::linalg::detail::amg::amg_point::get_influence | ( |  | ) | const
| inline

Definition at line 865 of file amg_base.hpp.

unsigned int viennacl::linalg::detail::amg::amg_point::get_offset | ( |  | ) |
| inline

Definition at line 862 of file amg_base.hpp.

bool viennacl::linalg::detail::amg::amg_point::is_cpoint | ( |  | ) | const
| inline

Definition at line 869 of file amg_base.hpp.

bool viennacl::linalg::detail::amg::amg_point::is_fpoint | ( |  | ) | const
| inline

Definition at line 870 of file amg_base.hpp.

bool viennacl::linalg::detail::amg::amg_point::is_influencing | ( | amg_point * | point | ) | const
| inline

Definition at line 876 of file amg_base.hpp.

bool viennacl::linalg::detail::amg::amg_point::is_undecided | ( |  | ) | const
| inline

Definition at line 871 of file amg_base.hpp.

void viennacl::linalg::detail::amg::amg_point::make_cpoint | ( |  | ) |
| inline

Definition at line 901 of file amg_base.hpp.

void viennacl::linalg::detail::amg::amg_point::make_fpoint | ( |  | ) |
| inline

Definition at line 908 of file amg_base.hpp.

unsigned int viennacl::linalg::detail::amg::amg_point::number_influencing | ( |  | ) | const
| inline

Definition at line 874 of file amg_base.hpp.

void viennacl::linalg::detail::amg::amg_point::set_aggregate | ( | unsigned int | aggregate | ) |
| inline

Definition at line 866 of file amg_base.hpp.

void viennacl::linalg::detail::amg::amg_point::set_coarse_index | ( | unsigned int | index | ) |
| inline

Definition at line 889 of file amg_base.hpp.

void viennacl::linalg::detail::amg::amg_point::set_index | ( | unsigned int | index | ) |
| inline

Definition at line 863 of file amg_base.hpp.

void viennacl::linalg::detail::amg::amg_point::set_offset | ( | unsigned int | offset | ) |
| inline

Definition at line 861 of file amg_base.hpp.

void viennacl::linalg::detail::amg::amg_point::switch_ftoc | ( |  | ) |
| inline

Definition at line 915 of file amg_base.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/amg/amg_base.hpp